Jump to content
khoshravan

problem with displacemet or use first point as displacement in copy, move commands

Recommended Posts

I have difficulty on specifying the distance for copy or move commands. It has different options and I have to get my desired result after many try and error.

Where can I find a detailed explanation on these commands options? distance, base point and first point as displacement.

 

My exact problem is as follows:

I want to move a line 5 cm to the right of present location with orthogonal active . What is the best/fastest way to do this?

Share this post


Link to post
Share on other sites

check polar tracking is set to "on" (F10 i think)

then just:

enter command "M"

click the line to select it

hit enter

move cursor in the 'right' direction (you will see dotted lines for 'snapable' polar directions if you move around)

type "5" (or distance required in whatever units you are drawing in)

Share this post


Link to post
Share on other sites

i use 2 ways to move / copy ---

option 1:

'base point' is where you want to move it from

'second point' is where you want to move it to

 

option 2:

select base point

enter distance and direction (i use tracking, but you can specify an angle instead)

 

displacement is to move it using coordinates (i don't use this)

 

hope this helps!

Share this post


Link to post
Share on other sites

Another option is to enable Orthomode, invoke the Move or Copy command, pick on the object and drag it in the direction you want to go. At the command line type in your distance and then press the Enter key.

Share this post


Link to post
Share on other sites
check polar tracking is set to "on" (F10 i think)

then just:

enter command "M"

click the line to select it

hit enter

move cursor in the 'right' direction (you will see dotted lines for 'snapable' polar directions if you move around)

type "5" (or distance required in whatever units you are drawing in)

 

Thanks. this is what I use exactly but sometimes it doesn't go this way. I think I am confusing with other things or there are many lines and it selects different line.

 

One big mistake is when the OSNAP is on and when after selecting the base point, when I move to right for 5 cm, it snaps end of another line and selects it as second point and I have to undo and start again. I think in this situation it is better to turn off the OSNAP.

Share this post


Link to post
Share on other sites
i use 2 ways to move / copy ---

option 1:

'base point' is where you want to move it from

'second point' is where you want to move it to

 

I understand this one and there is no problem

 

[quote

option 2:

select base point

enter distance and direction (i use tracking, but you can specify an angle instead)

 

My problem is in this case and when I want to enter the distance in command line, it messes up

[quote

displacement is to move it using coordinates (i don't use this)

 

This is want I want to figure out as well

Share this post


Link to post
Share on other sites
Another option is to enable Orthomode, invoke the Move or Copy command, pick on the object and drag it in the direction you want to go. At the command line type in your distance and then press the Enter key.

 

Thanks. Isn't it same as polar tracking mentioned by designerstuart ?

Share this post


Link to post
Share on other sites
# for absolute (default in earlier releases)

@ for relative (default in later releases)

 

Thanks. What is case for ACAD 2007?

In case of relative coordinate, is it measured relative to first point?

Share this post


Link to post
Share on other sites
Thanks. Isn't it same as polar tracking mentioned by designerstuart ?

 

almost. orthomode locks into set directions, while polar tracking just 'snaps'

if there are too many lines, turn osnap on for first point, then off for second point (easy with F5 (i think))

but using coord there should be no mistakes.... snap will not interfere

Share this post


Link to post
Share on other sites
I want to move a line 5 cm to the right of present location with orthogonal active . What is the best/fastest way to do this?

 

To answer your original question, start the command Move. Pick your line. Then when the command line says "Specify base point..." pick a point in a free area away from other lines. Then when it says Specify second point of displacement, drag the cursor to the right a little bit, so that you are showing the direction of movement, and then key in 5 and press Enter. :D

Share this post


Link to post
Share on other sites

Make sure OSNAPCOORD is set to 1 or 2.

 

Use move command as others have described, or you can also skip the picking base point just hit enter instead, with ortho on pull the cursor in the desired direction for the move and type the value, enter, when asked for base point hit enter and the type 2,2 to move the obect 2 units in the X and 2 units in the Y directions, no @ symbol is needed with this method.

Share this post


Link to post
Share on other sites

Use move command as others have described, or you can also skip the picking base point just hit enter instead, with ortho on pull the cursor in the desired direction for the move and type the value, enter, when asked for base point hit enter and the type 2,2 to move the obect 2 units in the X and 2 units in the Y directions, no @ symbol is needed with this method.

 

just to clarify, this is the displacement method mentioned above

Share this post


Link to post
Share on other sites

Hi,

 

I believe that setting DYNAMIC INPUT (DYN. on status bar) on is essential stuff for move/copy using base point or displacement method. It is important to note that to displace a 100x100 square 500 to the left I enter alias "co" without the quotes and select the object and type 600

 

Hope this help.

 

Nicolas.

Share this post


Link to post
Share on other sites

Hello,

 

I am new to this forum but really need some assistance. I cannot specify the distance I want to move an object. I was able to yesterday. Please someone tell me what I turned off or on or need to reset or adjust, it's very frustrating. I use this program for work and need some help ASAP. Thanks everyone who replies.

Share this post


Link to post
Share on other sites

Never mind, I found the cure! My Num Lock was off to those of you having this issue!

Share this post


Link to post
Share on other sites

This ludr.lsp move in the correct ortho direction, you just do r5 and it moves object 5 to the right. Now where did I put it, I posted it here. Trying to find. I think I did as part of a pline routine. It may be at home.

 

; draw a pline by direction Up Down left or Right use upper or lowercase
; by Alan H dec 2015
; this version is a metric/decimal version
; version 2 depending on request will be a imperial version
; 1'8 1/4" input d1.8.25 start with 1.8 = 1'8" then add second fraction ver 3

; how to use u123.45 D34.57 R102.6 l53

(defun ah:left ( / pt2)
(setq pt2 (polar pt pi (atof (substr ans 2 (- (strlen ans) 1)))))
(setq pt pt2)
(command pt2)
)

(defun ah:up ( / pt2)
(setq pt2 (polar pt (/ pi 2.0) (atof (substr ans 2 (- (strlen ans) 1)))))
(setq pt pt2)
(command pt2)
)

(defun ah:right ( / pt2)
(setq pt2 (polar pt 0.0 (atof (substr ans 2 (- (strlen ans) 1)))))
(setq pt pt2)
(command pt2)
)

(defun ah:down ( / pt2)
(setq pt2 (polar pt (* 1.5 pi) (atof (substr ans 2 (- (strlen ans) 1)))))
(setq pt pt2)
(command pt2)
)

(defun C:ahpliner ( / pt ans)

(command "_pline")
(command (setq pt (getpoint "Pick start point - Enter or C to finish")))
(while (= (getvar "cmdactive") 1 ) 
(setq ans (getstring "Enter L123 U456 R67 D78"))
(cond ((= ans "")(command ""))
     ((= "L"(strcase (substr ans 1 1)))(ah:left))
     ((= "U"(strcase (substr ans 1 1)))(ah:up))
     ((= "D"(strcase (substr ans 1 1)))(ah:down))
     ((= "R"(strcase (substr ans 1 1)))(ah:right))
     ((= "C"(strcase (substr ans 1 1)))(command "close"))
) ;cond
) ; while
)

Edited by BIGAL

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×